public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: media-libs/sdl2-ttf/files/, media-libs/sdl2-ttf/
@ 2018-05-04  8:03 Lars Wendler
  0 siblings, 0 replies; 2+ messages in thread
From: Lars Wendler @ 2018-05-04  8:03 UTC (permalink / raw
  To: gentoo-commits

commit:     295794b0417fabcc378298894d1720939695a767
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Fri May  4 08:03:27 2018 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Fri May  4 08:03:27 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=295794b0

media-libs/sdl2-ttf: Use pkg-config to search for freetype.

Bug: https://bugs.gentoo.org/654758
Package-Manager: Portage-2.3.35, Repoman-2.3.9

 .../files/sdl-ttf-2.0.11-freetype_pkgconfig.patch  | 46 ++++++++++++++++++++++
 media-libs/sdl2-ttf/sdl2-ttf-2.0.14.ebuild         | 30 +++++++++-----
 2 files changed, 67 insertions(+), 9 deletions(-)

diff --git a/media-libs/sdl2-ttf/files/sdl-ttf-2.0.11-freetype_pkgconfig.patch b/media-libs/sdl2-ttf/files/sdl-ttf-2.0.11-freetype_pkgconfig.patch
new file mode 100644
index 00000000000..02b06356190
--- /dev/null
+++ b/media-libs/sdl2-ttf/files/sdl-ttf-2.0.11-freetype_pkgconfig.patch
@@ -0,0 +1,46 @@
+https://bugs.gentoo.org/654758
+
+--- SDL_ttf-2.0.11/configure.in
++++ SDL_ttf-2.0.11/configure.in
+@@ -64,6 +64,7 @@
+ 	;;
+ esac
+ 
++PKG_PROG_PKG_CONFIG
+ 
+ dnl Check for iconv (character conversion library; see iconv.m4)
+ dnl This isn't available on many systems
+@@ -94,6 +95,17 @@
+ dnl
+ dnl Get the cflags and libraries from the freetype-config script
+ dnl
++PKG_CHECK_MODULES(
++	FREETYPE2,
++	freetype2,
++	[
++		ft_found=yes
++		CFLAGS="$CFLAGS $FREETYPE2_CFLAGS"
++		LIBS="$LIBS $FREETYPE2_LIBS"
++	],
++	ft_found=no
++)
++
+ AC_ARG_WITH(freetype-prefix,[  --with-freetype-prefix=PFX   Prefix where FREETYPE is 
+ installed (optional)],
+             freetype_prefix="$withval", freetype_prefix="")
+@@ -101,6 +113,7 @@
+ where FREETYPE is installed (optional)],
+             freetype_exec_prefix="$withval", freetype_exec_prefix="")
+ 
++if test "x$ft_found" != "xyes" ; then
+ if test x$freetype_exec_prefix != x ; then
+      freetype_args="$freetype_args --exec-prefix=$freetype_exec_prefix"
+      if test x${FREETYPE_CONFIG+set} != xset ; then
+@@ -123,6 +136,7 @@
+     CFLAGS="$CFLAGS `$FREETYPE_CONFIG $freetypeconf_args --cflags`"
+     LIBS="$LIBS `$FREETYPE_CONFIG $freetypeconf_args --libs`"
+ fi
++fi
+ 
+ dnl Check for SDL
+ SDL_VERSION=1.2.4

diff --git a/media-libs/sdl2-ttf/sdl2-ttf-2.0.14.ebuild b/media-libs/sdl2-ttf/sdl2-ttf-2.0.14.ebuild
index 85642e257de..2e741425b72 100644
--- a/media-libs/sdl2-ttf/sdl2-ttf-2.0.14.ebuild
+++ b/media-libs/sdl2-ttf/sdl2-ttf-2.0.14.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
-inherit eutils multilib-minimal
+EAPI=6
+inherit autotools multilib-minimal
 
-MY_P=SDL2_ttf-${PV}
+MY_P="SDL2_ttf-${PV}"
 DESCRIPTION="library that allows you to use TrueType fonts in SDL applications"
 HOMEPAGE="http://www.libsdl.org/projects/SDL_ttf/"
 SRC_URI="http://www.libsdl.org/projects/SDL_ttf/release/${MY_P}.tar.gz"
@@ -18,17 +18,29 @@ RDEPEND="X? ( >=x11-libs/libXt-1.1.4[${MULTILIB_USEDEP}] )
 	>=media-libs/libsdl2-2.0.1-r1[${MULTILIB_USEDEP}]
 	>=media-libs/freetype-2.5.0.1[${MULTILIB_USEDEP}]
 	virtual/opengl[${MULTILIB_USEDEP}]"
-DEPEND=${RDEPEND}
+DEPEND="${RDEPEND}"
 
-S=${WORKDIR}/${MY_P}
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+	"${FILESDIR}/sdl-ttf-2.0.11-freetype_pkgconfig.patch"
+)
+
+src_prepare() {
+	default
+	mv configure.{in,ac} || die
+	eautoreconf
+}
 
 multilib_src_configure() {
-	ECONF_SOURCE="${S}" econf \
-		$(use_enable static-libs static) \
+	local myeconfargs=(
+		$(use_enable static-libs static)
 		$(use_with X x)
+	)
+	ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
 }
 
 multilib_src_install_all() {
 	dodoc {CHANGES,README}.txt
-	prune_libtool_files
+	find "${ED}" -name '*.la' -delete || die
 }


^ permalink raw reply related	[flat|nested] 2+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-libs/sdl2-ttf/files/, media-libs/sdl2-ttf/
@ 2021-01-23 21:13 Andreas Sturmlechner
  0 siblings, 0 replies; 2+ messages in thread
From: Andreas Sturmlechner @ 2021-01-23 21:13 UTC (permalink / raw
  To: gentoo-commits

commit:     3fe719207f3ed2681190a875228d394a5771b33c
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 23 18:37:31 2021 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Jan 23 21:11:53 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3fe71920

media-libs/sdl2-ttf: Drop 2.0.14

Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 media-libs/sdl2-ttf/Manifest                       |  1 -
 .../files/sdl-ttf-2.0.11-freetype_pkgconfig.patch  | 46 ---------------------
 media-libs/sdl2-ttf/sdl2-ttf-2.0.14.ebuild         | 47 ----------------------
 3 files changed, 94 deletions(-)

diff --git a/media-libs/sdl2-ttf/Manifest b/media-libs/sdl2-ttf/Manifest
index ac1ee4929cd..83c93cbf0b3 100644
--- a/media-libs/sdl2-ttf/Manifest
+++ b/media-libs/sdl2-ttf/Manifest
@@ -1,2 +1 @@
-DIST SDL2_ttf-2.0.14.tar.gz 4147462 BLAKE2B c676c8880d26ee61900f82c418474d0eee9844842eb006f44c80f0cc3384dd2a3f0a1da0dc8a7e50f78caa6420cc494a4a4be1ef7a294310084d5a91b8ec3c44 SHA512 4db817573fd216e26180f4c401cc869ce407589a461032fd7167dc612d35e038cca1ab67be7909b6b49c741581a68125ab46362ad8e3c0a2cdd39624ad847099
 DIST SDL2_ttf-2.0.15.tar.gz 4479718 BLAKE2B 8401ed4979dade5affa86be4463958d0c90f72d3b2874540cf868e460c5d6773a2b11eaf6d13792d23193085050970ebf877b707b0febaba9be29c4329be9d7c SHA512 30d685932c3dd6f2c94e2778357a5c502f0421374293d7102a64d92f9c7861229bf36bedf51c1a698b296a58c858ca442d97afb908b7df1592fc8d4f8ae8ddfd

diff --git a/media-libs/sdl2-ttf/files/sdl-ttf-2.0.11-freetype_pkgconfig.patch b/media-libs/sdl2-ttf/files/sdl-ttf-2.0.11-freetype_pkgconfig.patch
deleted file mode 100644
index 02b06356190..00000000000
--- a/media-libs/sdl2-ttf/files/sdl-ttf-2.0.11-freetype_pkgconfig.patch
+++ /dev/null
@@ -1,46 +0,0 @@
-https://bugs.gentoo.org/654758
-
---- SDL_ttf-2.0.11/configure.in
-+++ SDL_ttf-2.0.11/configure.in
-@@ -64,6 +64,7 @@
- 	;;
- esac
- 
-+PKG_PROG_PKG_CONFIG
- 
- dnl Check for iconv (character conversion library; see iconv.m4)
- dnl This isn't available on many systems
-@@ -94,6 +95,17 @@
- dnl
- dnl Get the cflags and libraries from the freetype-config script
- dnl
-+PKG_CHECK_MODULES(
-+	FREETYPE2,
-+	freetype2,
-+	[
-+		ft_found=yes
-+		CFLAGS="$CFLAGS $FREETYPE2_CFLAGS"
-+		LIBS="$LIBS $FREETYPE2_LIBS"
-+	],
-+	ft_found=no
-+)
-+
- AC_ARG_WITH(freetype-prefix,[  --with-freetype-prefix=PFX   Prefix where FREETYPE is 
- installed (optional)],
-             freetype_prefix="$withval", freetype_prefix="")
-@@ -101,6 +113,7 @@
- where FREETYPE is installed (optional)],
-             freetype_exec_prefix="$withval", freetype_exec_prefix="")
- 
-+if test "x$ft_found" != "xyes" ; then
- if test x$freetype_exec_prefix != x ; then
-      freetype_args="$freetype_args --exec-prefix=$freetype_exec_prefix"
-      if test x${FREETYPE_CONFIG+set} != xset ; then
-@@ -123,6 +136,7 @@
-     CFLAGS="$CFLAGS `$FREETYPE_CONFIG $freetypeconf_args --cflags`"
-     LIBS="$LIBS `$FREETYPE_CONFIG $freetypeconf_args --libs`"
- fi
-+fi
- 
- dnl Check for SDL
- SDL_VERSION=1.2.4

diff --git a/media-libs/sdl2-ttf/sdl2-ttf-2.0.14.ebuild b/media-libs/sdl2-ttf/sdl2-ttf-2.0.14.ebuild
deleted file mode 100644
index 9bb754c90b1..00000000000
--- a/media-libs/sdl2-ttf/sdl2-ttf-2.0.14.ebuild
+++ /dev/null
@@ -1,47 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-inherit autotools multilib-minimal
-
-MY_P="SDL2_ttf-${PV}"
-DESCRIPTION="library that allows you to use TrueType fonts in SDL applications"
-HOMEPAGE="http://www.libsdl.org/projects/SDL_ttf/"
-SRC_URI="http://www.libsdl.org/projects/SDL_ttf/release/${MY_P}.tar.gz"
-
-LICENSE="ZLIB"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE="static-libs X"
-
-RDEPEND="X? ( >=x11-libs/libXt-1.1.4[${MULTILIB_USEDEP}] )
-	>=media-libs/libsdl2-2.0.1-r1[${MULTILIB_USEDEP}]
-	>=media-libs/freetype-2.5.0.1[${MULTILIB_USEDEP}]
-	virtual/opengl[${MULTILIB_USEDEP}]"
-DEPEND="${RDEPEND}
-	virtual/pkgconfig"
-
-S="${WORKDIR}/${MY_P}"
-
-PATCHES=(
-	"${FILESDIR}/sdl-ttf-2.0.11-freetype_pkgconfig.patch"
-)
-
-src_prepare() {
-	default
-	mv configure.{in,ac} || die
-	eautoreconf
-}
-
-multilib_src_configure() {
-	local myeconfargs=(
-		$(use_enable static-libs static)
-		$(use_with X x)
-	)
-	ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
-}
-
-multilib_src_install_all() {
-	dodoc {CHANGES,README}.txt
-	find "${ED}" -name '*.la' -delete || die
-}


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2021-01-23 21:13 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-01-23 21:13 [gentoo-commits] repo/gentoo:master commit in: media-libs/sdl2-ttf/files/, media-libs/sdl2-ttf/ Andreas Sturmlechner
  -- strict thread matches above, loose matches on Subject: below --
2018-05-04  8:03 Lars Wendler

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox